NAME
wish - Simple windowing shell

SYNOPSIS
wish ?options? ?arg arg ...?

OPTIONS

-display display
    Display (and screen) on which to display window.

-file fileName
    Read commands from fileName rather than standard input. The last element in fileName will be used as the title for the application and name of its interpreter for send commands (unless overridden by the -name option).

-geometry geometry
    Initial geometry to use for window.

-name name
    Use name as the title to be displayed in the window, and as the name of the interpreter for send commands.

-sync
    Execute all X server commands synchronously, so that errors are reported immediately. This will result in much slower execution, but it is useful for debugging.

-help
    Print a summary of the command-line options and exit.

DESCRIPTION

Wish is a simple program consisting of the Tcl command language, the Tk toolkit, and a main program that reads commands from standard input or from a file. It creates a main window and then processes Tcl commands. If wish is invoked with no -f option then it reads Tcl commands interactively from standard input. It will continue processing commands until all windows have been deleted or until end-of-file is reached on standard input. If there exists a file .wishrc in the home directory of the user, wish evaluates the file as a Tcl script just before reading the first command from standard input.

If the -file option is provided to Tk, then wish reads Tcl commands from the file named in the -file option. These commands will normally create an interactive interface consisting of one or more widgets. When the end of the command file is reached, wish will continue to respond to X events until all windows have been deleted. There is no automatic evaluation of .wishrc in this case, but the script file can always source it if desired.

VARIABLES

Wish sets the following Tcl variables:

argc
    Contains a count of the number of arg arguments (0 if none), not including the options described above.

argv
    Contains a Tcl list whose elements are the arg arguments (not including the options described above), in order, or an empty string if there are no arg arguments.

argv0
    Contains fileName if it was specified. Otherwise, contains the name by which wish was invoked.

tcl_interactive
    Contains 1 if wish is reading commands interactively (no -file option was specified and standard input is a terminal-like device), 0 otherwise.

SCRIPT FILES

If you create a Tcl script in a file whose first line is #!/usr/local/bin/wish -f then you can invoke the script file directly from your shell if you mark it as executable. This assumes that wish has been installed in the default location in /usr/local/bin; if it's installed somewhere else then you'll have to modify the above line to match.

PROMPTS

When wish is invoked interactively it normally prompts for each command with ``% ''. You can change the prompt by setting the variables tcl_prompt1 and tcl_prompt2. If variable tcl_prompt1 exists then it must consist of a Tcl script to output a prompt; instead of outputting a prompt wish will evaluate the script in tcl_prompt1. The variable tcl_prompt2 is used in a similar way when a newline is typed but the current command isn't yet complete; if tcl_prompt2 isn't set then no prompt is output for incomplete commands.

KEYWORDS
shell, toolkit